
$(function () {
    var x = [];
    var chord_to_diam = [];  // at subindex + 1
    var camber = [];         // at subindex + 2
    var t_by_c = [];         // at subindex + 3
    var twist = [];          // at subindex + 4
    
    mytable = document.getElementById("theTable");
    mytablebody = mytable.getElementsByTagName("tbody")[0];
    myrow       = mytablebody.getElementsByTagName("tr")[1];
    mycel       = myrow.getElementsByTagName("td")[1];
    
    // Tokenize the polar data, reprented by the numerical values between "TWIST"
    // and "ACTIVITY" 
    polarStart = mycel.childNodes[0].data.search("TWIST") + 10;
    polarEnd   = mycel.childNodes[0].data.search("ACTIVITY");
    polarStr   = mycel.childNodes[0].data.substr(polarStart, polarEnd - polarStart);
    tempArray = polarStr.split(" ");
    
    // Throw out the empty strings
    var j = 0;
    var numArray = [];
    for (var i = 0; i < tempArray.length; i++) {
      if (tempArray[i] != "") {
        numArray.push(tempArray[i]);
        //alert(tempArray[i]);
        j++;
      }
    }
    
    // indicate an error if numArray.length is not divisible by 5, which is the number
    // of data columns.  This means something bad happened while tokenizing the 
    // polar data.
    nCol = 5;
    hasError = ((numArray.length % nCol) != 0);
    
    // populate the arrays for flot
    numPoints = numArray.length / nCol;
    for (i = 0; i < numPoints; i++) {
      xPosn = nCol * i;
      chord_to_diam.push([ numArray[xPosn], numArray[xPosn + 1]]);
      camber.push([ numArray[xPosn], numArray[xPosn + 2]]);
      t_by_c.push([ numArray[xPosn], numArray[xPosn + 3]]);
      twist.push([ numArray[xPosn], numArray[xPosn + 4]]);
    }
    
    // Now render the visual plot
    $.plot($("#GeometryPlot"), 
       [ {data: chord_to_diam, 
              label: "c/D", 
              points: {show: true},
              lines: {show: true},
              }, 
              
         {data: camber, 
              label: "camber", 
              points: {show: true},
              lines: {show: true},
              }, 
              
         {data: t_by_c, 
              label: "t_by_c", 
              points: {show: true},
              lines: {show: true},
              }, 
              
         {data: twist, 
              label: "twist", yaxis: 2, 
              points: {show: true},
              lines: {show: true},
              } ],
         {yaxis: {min: 0},
          y2axis: { tickFormatter: function (v, axis) { return v.toFixed(axis.tickDecimals) +"deg" }},
          legend: { position: 'nw' } } );
});
